<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddInvoiceSchemeIdToTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('transactions', function (Blueprint $table) {
            $table->integer('invoice_scheme_id')->unsigned()->nullable();
            $table->foreign('invoice_scheme_id')->references('id')->on('invoice_schemes')->onDelete('cascade');

            $table->integer('credit_note_reason_id')->unsigned()->nullable();
            $table->foreign('credit_note_reason_id')->references('id')->on('credit_note_reasons')->onDelete('cascade');

            $table->string('invoice_sequence',200)->nullable();
            $table->decimal('tax_percentage',5,2)->default(0);
            $table->bigInteger('sunat_status_id')->unsigned()->nullable();
            $table->foreign('sunat_status_id')->references('id')->on('sunat_statuses');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('transactions', function (Blueprint $table) {
            //
        });
    }
}
