<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateReferenceGuidesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('reference_guides', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('business_id');
            $table->unsignedBigInteger('location_id');
            $table->unsignedBigInteger('contact_id');
            $table->string('serialnumber');
            $table->string('correlative');
            $table->date('date');
            $table->date('translate_date');
            $table->unsignedBigInteger('reference_guide_motive_translate_id');
            $table->char('modality', 2);
            $table->decimal('weight', 10, 2);
            $table->text('receiver');
            $table->string('receiver_document', 30);
            $table->string('receiver_document_type', 2);
            $table->text('start_address');
            $table->unsignedBigInteger('start_address_ubigeo_id');
            $table->text('arrival_address');
            $table->unsignedBigInteger('arrival_address_ubigeo_id');
            $table->string('vehicle_plate');
            $table->text('transport');
            $table->string('transport_document', 30);
            $table->string('transport_document_type', 2);
            $table->text('driver');
            $table->string('driver_document', 30);
            $table->string('driver_document_type', 2);
            $table->timestamps();

            $table->foreign('reference_guide_motive_translate_id')->references('id')->on('reference_guide_motive_translates');
            // $table->foreign('contact_id')->references('id')->on('contacts');
            $table->foreign('start_address_ubigeo_id')->references('id')->on('ubigeos');
            $table->foreign('arrival_address_ubigeo_id')->references('id')->on('ubigeos');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('reference_guides');
    }
}