<?php

use App\SunatStatus;
use Illuminate\Database\Seeder;

class SunatStatusSeeder extends Seeder
{
    
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $statuses = [
            [
                'name'          =>  'En proceso',
                'description'   =>  'Aun no ha sido enviado a SUNAT',                
                'color'         =>  'blue',
            ],            
            [
                'name'          =>  'Aceptada',
                'description'   =>  'si no hay ningún tipo de error, se genera una constancia de recepción (CDR) aceptada, indicando que el comprobante ha sido correctamente enviado y registrado en SUNAT.',
                'color'         =>  'green',
            ],
            [
                'name'          =>  'Aceptada con advertencias',
                'description'   =>  'Si hay OBSERVACIONES, el sistema genera una constancia de recepción (CDR) con estado aceptada con advertencias, indicando que el comprobante ha sido correctamente enviado y registrado en SUNAT. Las advertencias se muestran en la constancia de recepción.',
                'color'         =>  '',
            ],
            [
                'name'          =>  'Rechazada',
                'description'   =>  'Si hay un ERROR QUE GENERA RECHAZO, el sistema genera una constancia de recepción (CDR) con estado rechazada, indicando que el comprobante no ha sido registrado en SUNAT por tener errores',
                'color'         =>  'red',
            ],
            [
                'name'          =>  'Anulada',
                'description'   =>  '',
                'color'         =>  'red',
            ],
            [
                'name'          =>  'Excepción',
                'description'   =>  'Esto no debería darse, pero si ocurre, es un CDR inválido que debería tratarse como un error-excepción.',
                'color'         =>  '',
            ],
            [
                'name'          =>  'Fallo conexión',
                'description'   =>  'ha ocurrido algo en la conexión con el servicio de la SUNAT',
                'color'         =>  '',
            ],
        ];

        foreach( $statuses as $status)
        {
            SunatStatus::updateOrCreate(
                [
                    'name'  =>  $status['name']
                ],
                $status
            );
        }
        
    }
}
